# Enum Class Log.LogLevel

java.lang.Object
java.lang.Enum<Log.LogLevel>
htsjdk.samtools.util.Log.LogLevel

All Implemented Interfaces:
  `Serializable, Comparable<Log.LogLevel>, Constable`

Enclosing class:
  `Log`

public static enum Log.LogLevel extends Enum<Log.LogLevel>
Enumeration for setting log levels.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEBUG`
`ERROR`
`INFO`
`WARNING`

## Method Summary

Modifier and Type
Method
Description
`static Log.LogLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Log.LogLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ERROR

public static final Log.LogLevel ERROR

### WARNING

public static final Log.LogLevel WARNING

### INFO

public static final Log.LogLevel INFO

### DEBUG

public static final Log.LogLevel DEBUG

## Method Details

### values

public static Log.LogLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Log.LogLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null